2000-05-20  Peter Williams  <peter@beta.newton.cx>

	* AUTHORS README TODO INSTALL NEWS balsa.1.in
	help/C/balsa.sgml: Documentation updates to
	make this the official 0.8.0
	
	* configure.in (BALSA_RELEASE): No longer pre1!

	* Makefile.am: RPM target updated to be just peachy.
	
	* Makefile.am: New balsa-dcheck target to not forget
	the BALSA_DISTCHECK_HACK=yes thingie. @MAINT@ some
	of those targets.
	
	* libinit_balsa/Makefile.am (gob rule): Put %.h in the
	gob mathcing rule for include dependencies.

2000-05-17  Pawel Salek <pawsa@theochem.kth.se>

	Infamous safe_free bug fix.	
	* libmutt/protos.h, libmutt/lib.c: mutt_copy_body() func added.
	The hdr parameter is most likely redundant.
	* libbalsa/send.c: copy the bodies instead of plain linking to them.
	delete sent messages from outbox.
	*libbalsa/message.c(message_delete): handle loose messages.
	
2000-05-16  Pawel Salek <pawsa@theochem.kth.se>

	* src/sendmsg-window.c: Celtic language support fixed.
	* libbalsa/send.c: code cleanup on the way to fix the safe_free bug.
	* src/balsa-message.c: safe handling of broken images.
	
2000-05-15  Pawel Salek <pawsa@theochem.kth.se>

	* configure.in: added pt_PT.po to ALL_LINGUAS
	
2000-05-15  Kjartan Maraas  <kmaraas@online.no>

	* TRANSLATABLE_FILES: Added list of files containing
	translatable strings.
	
2000-05-12  Peter Williams  <peter@beta.newton.cx>

	* src/balsa-message.c (part2canvas): Only print "part end: multipart"
	  in debug mode.

2000-05-07  Pablo Saratxaga <pablo@mandrakesoft.com>

	* src/address-book.c,src/filter-edit-dialog.c: i18n fixes from
	  Gediminas Paulauskas <menesis@delfi.lt>

2000-05-12  Pawel Salek <pawsa@theochem.kth.se>

	* src/balsa-message.c: #9422 bug fix.
	
2000-05-09  Pawel Salek <pawsa@theochem.kth.se>

	* src/address-book.c: preleminary handling of gcard address lists.
	
2000-05-07  Pawel Salek <pawsa@theochem.kth.se>

	* src/save-restore.c (config_mailbox_update): safe local mailbox
	properties update.

2000-05-07  Pablo Saratxaga <pablo@mandrakesoft.com>

	* src/balsa-mblist.c: small i18n fix

2000-05-06  Peter Williams  <peter@beta.newton.cx>

	* src/balsa-app.[ch]: Allow toggling of whether to
	exit when balsa_error is called. Defaults to YES; turned
	off for mailbox checking. We actually need a mutex for this,
	but we can get away without one.
	
	* src/main.c (balsa_exit): Remove unused var.

	* src/main-window.c (mail_progress_notify_cb): g_free
	the mailbox pkey now. Include save-restore.h

	* src/mailbox-conf.c (mailbox_conf_close): Don't 
	g_strdup the mailbox pkey; that is done for us now.

	* libbalsa/mailbox.h (struct _Server): Remove Server.name
	field, which is unused.

	* src/save-restore.[ch] (mailbox_get_pkey): Return a g_strdup
	string; don't user server->name, which is unused. Remove
	the const return type. Misc changes to accomodate this.

	* src/balsa-mblist.c (balsa_mblist_redraw): Check for
	NULL return value from gtk_ctree_insert_node (caused 
	warnings with POP3 mailboxes)

2000-05-06 Pawel Salek <pawsa@theochem.kth.se>
	* libbalsa/mailbox.c, src/save-restore.c:
	Carlos Morgado's <chbm@chbm.nu> fix for storing the POP port number.

2000-05-06 Pawel Salek <pawsa@theochem.kth.se>

	* libmutt/configure.in: disabled fcntl locks, enabled flock.
	* README: pointers to locking method discussions.
	
2000-05-05 Pawel Salek <pawsa@theochem.kth.se>
	Mailboxes in the configuration are not referred by name only any more.

	* libbalsa/mailbox.c,src/main-window.c,src/mailbox-conf.c: use
	mailbox_get_pkey() instead of mbox name.
	* src/balsa-app.c,src/main.c: code cleanup.
	* src/save-restore.c: mailbox_get_pkey() and config_get_pkey() impl'd

2000-05-04 Pawel Salek <pawsa@theochem.kth.se>:
	IMAP mailbox polling to fix auto-logout bug.

	* libbalsa/mailbox_imap.[hc]: mailbox_imap_has_new_messages added.
	* libmutt/imap.c: do check the NOOP server response.
	* src/balsa-mblist.c: actual mailbox polling.
	
2000-05-03  Peter Williams  <peter@beta.newton.cx>

	* libbalsa/mailbox.c (error_in_thread): New function to
	  replace the usual mutt_error, cause it makes GTK+ calls,
	  which in this case happens in another thread, which
	  makes GTK+ barf.
	  (check_all_pop3_hosts): Fix to change mutt_error.
	* src/main-window.c (mail_progress_notify_cb): Handle
	  the _ERROR message by displaying a dialog box.
	
2000-05-02 Pawel Salek <pawsa@theochem.kth.se>:
	* libinit_balsa/balsa-druid-page-directory.gob:
	handle lack of MAIL environment variable properly.

2000-05-02  Pawel Salek <pawsa@theochem.kth.se>
	* src/balsa-message.c, src/sendmsg-window.c:
	Martynas Kunigëlis <mkunigelis@alna.lt> patch for Baltic language
	support.

2000-05-01  Matthew Guenther <mguenthe@netcom.ca>
	* libbalsa/send.c (balsa_lookup_mime_type): fixed GNOME mime 
	type lookup 

2000-04-27  Pawel Salek <pawsa@theochem.kth.se>
	* src/sendmsg-window.c: one g_free() too much.
	* src/main.c: code cleanup.
	
2000-04-26  Kjartan Maraas  <kmaraas@online.no>

	* libbalsa/mailbox.c: Use '_(' not '_ (' to make marked
	strings show up in the .pot file.
	* src/balsa-index.c: Same here

2000-04-25 Pawel Salek <pawsa@theochem.kth.se>
	* src/save-restore.c: bug fix for remembering open mboxes
	between sessions.
	
2000-04-25 Pawel Salek <pawsa@theochem.kth.se>

	* src/sendmsg-window.c: pasting texts containing \n to subject 
	field lead to wrong mail headers.
	
2000-04-24  Pawel Salek <pawsa@theochem.kth.se>
	* src/balsa-app.h,src/save-restore.c,src/main.c: remembering
	open mailboxes between sessions.
	* src/mblist-window.c: open-mailbox CLO bug fix.
	
2000-04-24  Fatih Demir	<kabalak@gmx.net>

	* sounds/balsa.soundlist & sounds/email.soundlist : 
		Added [tr] sections ..

2000-04-23  Mikael Hermansson <mikeh@bahnhof.se>

	* src/sendmsg-window.c, src/main.c: show only compose window and
	quit immediately after sending mail when called with --compose
	option.
	
2000-04-23  Andreas Hyden  <a.hyden@cyberpoint.se>

	* src/pref-manager.c: Fixed a litte spellerror.

2000-04-21  Peter Williams  <peter@beta.newton.cx>

	* src/Makefile.am (INCLUDES): Include $(top_builddir)/idl
	  for the generated headers (when srcdir != builddir)

2000-04-21  Matthew Guenther <mguenther@netcom.ca>
	* libbalsa/message.c (message_is_multipart): changed to 
	message_has_attachment and modified to a better way to determine
	message attachment status.
	
2000-04-20  Matthew Guenther <mguenther@netcom.ca>
	* libbalsa/message.c: added function message_is_multipart
	* src/balsa-index.c (balsa_index_add): 
	add icon to attachment column when message is multipart.

	* src/address-book.c: parented gnome dialogs to main and send-message
	windows.
	* src/balsa-app.h: added main_window to BalsaApplication.
	* src/balsa-index-page.c: 
	* src/balsa-message.c: 
	* src/mailbox-conf.c:
	* src/main-window.c: parented gnome dialogs to main window 
	(fixes bug #4809).

2000-04-20  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Lithuanian language

2000-04-20  Pawel Salek <pawsa@theochem.kth.se>

	* src/pref-manager.c: #8601 bug fix.
	
2000-04-19  Peter Williams  <peter@beta.newton.cx>

	* libmutt/mx.c, libbalsa/send.c: Remove
	  some leftover stderr output.
	
	* TODO, README, INSTALL: Documentation updates.
	
	* configure.in: Made this look all pretty, and
	  added some extra 'checking' messages.

	* src/main-window.c (show_about_box): Added some
	  authors.

2000-04-18  Peter Williams  <peter@beta.newton.cx>

	* balsa.spec.in: Fixes to make RPMs work. Now I understand
	  why people say RPM sucks.

	* configure.in (BALSA_VERSION): Changed to
	  reflet preview release, and to placate RPM.
	
	* README: Same.

2000-04-18  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Catalan

2000-04-18  Pawel Salek <pawsa@theochem.kth.se>
	* IMAP authentication error bug fix.
	
2000-04-17  Fatih Demir	<kabalak@gmx.net>

	* configure.in : Added tr to ALL_LINGUAS .

2000-04-16  Matthew Guenther <mguenther@netcom.ca>
	* libbalsa/send.c (balsa_create_msg): Added balsa mime lookup
	function balsa_lookup_mime_type to fix bug #4821
			 
2000-04-12  Peter Williams  <peter@beta.newton.cx>

	* src/mailbox-conf.c (conf_update_mailbox): Address
	  bug #8915 hopefully (check for NULL before g_frees)

	* src/balsa-mblist.c (balsa_widget_get_bold_font): Change
	  function behavior to reference font, and checking for
	  NULL font again... hopefully this ensures a nonnull
	  style->font (see bug #7356)

	* src/mblist-window.c (size_allocate_cb): Fix size
	  calculation ( + 18... yeah right ).

2000-04-12 Pawel Salek <pawsa@theochem.kth.se>

	* sounds/Makefile.am, balsa.spec.in: 
	packaging on RedHat failed.
	
2000-04-11  Pawel Salek <pawsa@theochem.kth.se>

	* libbalsa/message.c: handle 'references' header properly
	* libbalsa/misc.c: wrapping misalignment
	* src/balsa-message.c: ':' to headers, memory leak
	* src/sendmsg-window.c: multiple attachment bug fix.
	
2000-04-10  Peter Williams  <peter@beta.newton.cx>

	* configure.in: Add check for gob when using CVS source.

2000-04-09  Matthew Guenther <mguenther@netcom.ca>
	* src/address-book.c (ab_load): fix memory allocation bug, use more 
	glib string functions, set ->name to ->id if no Id is present in the 
	vcard.
	* src/address-book.c (ab_clist_clear): g_free'd id.
			     (ab_okay_cb): g_free'd id.

2000-04-08  Peter Williams  <peter@beta.newton.cx>

	* AUTHORS: Made this make more sense and reflect
	  the changes in development team over the lifecycle
	  of Balsa.

	* configure.in: Print a little warning if
	  the source is CVS source.

2000-04-08  Matthew Guenther <mguenther@netcom.ca>
	* src/balsa-mblist.c (balsa_mblist_insert_mailbox): Fixed bug with 
	mailbox info.

2000-04-08  Fatih Demir	<kabalak@gmx.net>

	* balsa.desktop : Added the Turkish translation .

2000-04-07  Peter Williams  <peter@beta.newton.cx>

	* libbalsa/misc.c (wrap_string): Aborting when
	  the input string is null is a bit excessive...

	* configure.in, Makefile.am: Whoopsie, forgot
	  to remove the stuff for the website from these
	  files.

2000-04-07 Pawel Salek <pawsa@theochem.kth.se>

	* src/sendmsg-window.c: multiple attachment selection.

2000-04-07 Pawel Salek <pawsa@theochem.kth.se>

	* libbalsa/message.c,libbalsa/misc.[hc],src/balsa-message.c:
	showing all and selected headers completed.
	
2000-04-06  Peter Williams  <peter@newton.cx>

	* help/C/Makefile.am: better target for index.html;
	help now works with readonly srcdir.

2000-04-05 Pawel Salek <pawsa@theochem.kth.se>

	* libmutt/socket.c,src/mblist-window.c: trying to open
	IMAP folder on non-existing server should not crash balsa any more.

2000-04-04 Pawel Salek <pawsa@theochem.kth.se>

	*  libmutt/imap.c,src/balsa-index-page.c:
	non-existing IMAP mailbox bug fix.

2000-04-04 Pawel Salek <pawsa@theochem.kth.se>

	* src/sendmsg-window.[hc]: postpone works now with empty To field.

2000-04-04 Pawel Salek <pawsa@theochem.kth.se>
	
	* src/address-book.c: Fellmann Joaquim's <joaquim@hrnet.fr>
	patch (with minor changes) - lookup fix.
	* src/balsa-index.c: removed old crust.
	* src/main-window.c: fix a memory leak.
	
2000-04-04 Ian Campbell <ijc25@cam.ac.uk>
	
	* libbalsa/misc.[ch]: Added function 'mailbox_node_destroy'
	* libbalsa/send.c: Removed some unused variables
	* src/balsa-index-page.c: Added some #ifdef MSG_STATUS_USED 
	  around functions which are only used inside similar #ifdefs
	* src/balsa-mblist.c: Use mailbox_node_destory as the handler
	  in set_row_data, fixes a memory leak
	* src/local-mailbox.c: Fix a memory leak
	* src/mblist-window.h: Fix a prototype.
	* src/save-restore.c: Fix memory leak.
	
2000-04-03  Peter Williams  <peter@beta.newton.cx>

	* src/main-window.c (wrap_message_cb): Fixed
	  cast to GTK_WIDGET to be after test for NULL
	  to silence GTK+ warning on startup.

	* libbalsa/misc.c (find_word): Fixed really
	  nasty-looking logic and a bug where the 'to'
	  field wouldn't show up in the compose window
	  as a default.

	* src/balsa-app.c (cantfind_notice): Made Balsa
	  gracefully handle a missing 'special mailbox'

2000-03-30  Matthew Guenther <mguenther@netcom.ca>
	* src/main-window.c: changed reply to all to use reply_to_all.xpm, 
	and reply_to_all_menu.xpm, pointer casting bug.
	* src/pref-manager.c: fixed pointer casting bug.

2000-03-30  Peter Williams <peter@newton.cx>
	* src/arrow.xpm: moved to src/pixmaps/
	* src/balsa-icons.{c,h}: added new arrow
	  pixmap; but pointless because it's currently
	  unused!
	* src/Makefile.am: arrow.xpm from EXTRA_DIST
	
2000-03-28  Peter Williams <peter@newton.cx>
	* libbalsa/files.{c,h}: created balsa_file_finder,
	  a *working* version of gnome_xxxx_file()
	* configure.in: Added system install check, testing
	  for installs into Gnome's prefix that may require
	  root privileges. Added website options, to generate
	  the website files and give them a root and prefix.
	* src/mailbox-conf.c, src/main-windows.c, src/sendmsg-window.c,
	  libinit-balsa/helper.c, libbalsa/mailbox.c: Use balsa_file_finder
	* images/Makefile.am, sounds/Makefile.am: Use appropriate
	  installation prefex depending on sysinstall option
	* po/POTFILES.in: Remove src/spell-check.c, which does
	  not compile and is not built
	* libbalsa/Makefile.am: Added files.{c,h} to libbalsa
	* website: Added directory for the Balsa website in CVS,
	  buildable and installable with specifiable prefixes.
	
2000-03-27  Pawel Salek  <pawsa@theochem.kth.se>

	* src/balsa-app.c: auto-check explicitly checks Inbox.
	* src/balsa-index-page.c: bug #4805 fix
	* src/balsa-mblist.c: mail check bug fix.
	* src/main-window.c: bug #4805, #4806 fix, mail check bug fix,
	title bar.
	* src/mblist-window.c: resize mblist rehashed

2000-03-26 Pawel Salek <pawsa@theochem.kth.se>

	* main.c: reorganized the initial mailbox opening code.
	* configure.in:  mailbox info switch on by default.
	
2000-03-25  Matthew Guenther <mguenther@netcom.ca>

	* src/main-window.c: fixed opening of mailboxes on startup.
	* src/balsa-mblist.[hc]: added balsa_mblist_open_inital() and 
	startup_mailbox_open_list.
	(mailbox_nodes_to_ctree): fixed opening of mailboxes on startup.
	(balsa_mblist_insert_mailbox): allow for mailboxes to be opened
	at startup.
	
2000-03-24  Pawel Salek  <pawsa@theochem.kth.se>

	* libbalsa/mailbox.c, src/balsa-mblist.c, src/balsa-message.c:
	* src/main-window.c: bug hunting - message counting.
	
2000-03-24  Matthew Guenther <mguenther@netcom.ca>
	* src/main-window.c: add next_unread_message_cb, associated menu 
	and toolbar items.
	* src/balsa-index.[hc]: add balsa_message_next_unread
	* src/balsa-index-page.[hc]: add balsa_index_select_next_unread


2000-03-23  Pawel Salek <pawsa@theochem.kth.se>

	* src/balsa-message.c: handling msgs w/o respective fonts
	* src/main-window.c: forwarding/replying multiple msgs
	* src/sendmsg-window.[hc]: handling multiple open compose wnds.
	
2000-03-22  Joaquim Fellmann  <joaquim@hrnet.fr>

	* src/balsa-mblist.c: i18n and i12n update

2000-03-22  Fellmann Joaquim <joaquim@hrnet.fr>

	* src/balsa-mblist.c: make a string i18n comp. for mbox stats
	
2000-03-20 Pawel Salek <pawsa@theochem.kth.se>
	
	* libbalsa/libbalsa_private.h: less verbose threaded mbox locking
	* libmutt/rfc822.c: de-quotation handles commas in comments
	* src/sendmsg-window.c: forward subject clarified.
	
2000-03-17 Matthew Guenther <mguenther@netcom.ca>
	* src/sendmsg-window.c (bsmsg2message): enable In-Reply-To and 
	References headers
	* libbalsa/send.c (balsa_create_message): enable In-Reply-To and
	References headers
	* libbalsa/message.h: Added references var to Message struct
	* libbalsa/message.c: Init and destruction of references variable
	* src/balsa-mblist.c: cleaner style setting, add colour
	* src/pref-manager.c: add colour picker for mblist unread mailbox 
	color
	* src/save-restore.c: save/load colour for mblist
	* src/balsa-app.c: field to store colour and defaults
	* configure.in: change --enable-info do default yes, better (less 
	broken) option description

2000-03-15  Pawel Salek<pawsa@theochem.kth.se>
	
	* src/balsa-app.[hc], src/pref-manager.c,src/save-restore.c,
	* src/sendmsg-window.c: signature separator handling.
	* src/local-mailbox.c: compilation warning removed.
	
2000-03-14  Pawel Salek <pawsa@theochem.kth.se>

	* src/sendmsg-window.c, src/balsa-app.c, src/balsa-mblist.c, 
	* src/mailbox-conf.c, src/main-window.c:
	The deleting mailboxes via Balsa is expected to work properly now.
	Some minor bug fixes.

2000-03-14  Pawel Salek <pawsa@theochem.kth.se>
	* src/balsa-app.c: handles lack of trash nicely
	* src/mailbox-conf.c: ultimate solution of the mailbox 
	deletion command. Should work for any combination.
	* src/main-window.c: close mailbox command restored
	* src/sendmsg-window.c: fixed some shortcuts
	
2000-03-14  Pawel Salek <pawsa@theochem.kth.se>
	
	* src/balsa-message.c, libbalsa/filter-file.c:
	* libbalsa/misc.c, libbalsa/mime.c: 
	readfile() allocates place for ending '\0' character - 
	last character of a text body in multipart message used to be eaten.
	* src/main.c: used to assume that balsa_app.notebook exists 
	when empting trash.
	* src/main-window.c: status bar message removed when closing last 
	mailbox.
	* src/sendmsg-window.c: major code clean up (uff!), finished 
	function documentation.
	
2000-03-13  Alastair McKinstry <mckinstry@computer.org>

	* po/ChangeLog, po/ga.po: Updates

2000-03-13  hectorg  <hector@scouts-es.org>

	* libbalsa/send.c, src/main-window.c:
	Some minor bugs fixed in send code

2000-03-12  birger  <birger.langkjer@image.dk>

	* po/da.po:
	 Modified Files:
	 	balsa/po/da.po

2000-03-12  Pawel Salek  <pawsa@theochem.kth.se>

	* src/balsa-app.c, src/balsa-index-page.c, src/balsa-index.c, 
	* src/balsa-mblist.c, src/local-mailbox.c, src/main-window.c,
	* src/mblist-window.c, src/mblist-window.h:
	Fix for duplicate local mailboxes that were located in the local
	mail directory and were added at the same time to the cofiguration.
	Fixes also local mailbox deletion problem.

2000-03-11  alastairmck  

	* balsa.desktop: Irish translations

2000-03-11  Matthew Guenther <mguenther@netcom.ca>
	* libbalsa/misc.c:  Added style to MailboxNode
	* src/mblist-window.c: Update mailbox style when changing 
	mailboxes
	* src/balsa-mblist.c:  Mailboxes with unread messages are now 
	displayed without having to load the mailboxes.  
	* src/main-window.c:  Mailbox appearence are now updated when 
	the "Check New Messages" button is pressed.

2000-03-11 Alastair McKinstry <mckinstry@computer.org>

	* balsa.desktop: Added Irish translation.

2000-03-08  Pawel Salek  <pawsa@theochem.kth.se>

	* libbalsa/message.c, libbalsa/message.h: Selection of shown
	headers: none, user selected or (almost) all.

	* libbalsa/misc.c: make_string_from_list didn't handle NULL elements.
	* libbalsa/misc.h:

2000-03-06  Peter Williams  <peter@beta.newton.cx>

	* libbalsa/mailbox.c (translate_message): On tip
	  from Birger Langkjer, increase size of date
	  buffer from an unreasonable-small 27 characters
	  to 128.

2000-03-05  Pawel Salek  <pawsa@theochem.kth.se>

	* libbalsa/message.c, libbalsa/message.h:
	I18n support in the message window and automatic charset selection
	for replying and forwarding. Wrapping for message view widget.

2000-03-05  Morten Welinder  <terra@diku.dk>

	* libbalsa/misc.c (make_string_from_list): Plug leak.

	* libbalsa/message.c (message_body_unref): Use body_free.

	* src/balsa-mblist.c (mailbox_nodes_to_ctree): Plug leak.

	* src/balsa-message.c: Include <ctype.h> for isspace.
	(reflow_string): Use isspace properly.
	(mimetext2canvas): Initialise flags.

	* src/local-mailbox.c (is_mh_message): Use isdigit properly.

2000-03-03  Peter Williams  <peter@newton.cx>

	* libbalsa/mailbox.c (translate_message): Uses user's
	  preferred time format now.
	
	* src/save-restore.c, src/balsa-app.h, src/prefs-manager.c:
 	  Changes to support the new preference.

2000-2-28  Héctor García Álvarez <hector@scouts-es.org>
	* Some changes in SMTP to make it work right with the queue

2000-2-26  Peter Williams <peter@newton.cx>
	* Allowed the user to save the text in any message by clicking.
	
2000-2-26   Birger Langkjer <birger.langkjer@image.dk>
	* Integrated a patch from Mikael Hermansson <mikeh@bahnhof.se>

2000-2-25   Matthew Guenther <mguenther@netcom.ca>
	* src/mblist-window.c:
	* src/balsa-mblist.c: Added ability to display total number of 
	messages and number of unread messages in the mailbox list.  Mailboxes
	with unread messages are displayed in bold, and with different icon.  
	Mailbox list is updated when mailbox contents change (through user 
	action).  Can now sort mailboxes by name, number of unread messages, 
	or total number of messages, in ascending or descending order. 
	Mailbox info column width is saved between sessions.  Fixed mailbox 
	tree expand/collapse to save between sessions.
	* src/balsa-index-page.c: Reading messages in index will decrement 
	message unread_messages count and update mailbox list display.
	* src/save-restore.c: Code to save all the mailbox list stuff.
	* libbalsa/mailbox.c: Fixed mailbox loading code to increment mailbox 
	messages counter.
	* libbalsa/message.c: Flag changing fixed to prevent double decrement 
	of message count.  
	
2000-2-14   Birger Langkjer <birger.langkjer@image.dk>

	* src/sendmsg-window.c: fixed spelling error: Cyrylic->Cyrillic

2000-2-11   Tomasz K³oczko <kloczek@pld.org.pl>

	* balsa.desktop: moved desktop file from gnome-core,
	* gnome-balsa2.png: moved icon file from gnome-core.

2000-2-9    Tomasz K³oczko <kloczek@pld.org.pl>

	* balsa.desktop:
	* Makefile.am: added desktop file for balsa.

2000-2-1   Matthew Guenther <mguenther@netcom.ca>
	* src/mblist-window.c: Column size saving code cleaned up, better
	  implementation using notebook selection.  Good to go.
	
2000-1-29   Matthew Guenther <mguenther@netcom.ca>
	
	* src/balsa-app.h:
	* src/balsa-app.c:
	* src/save-restore.c:
	* src/balsa-index.c: Added the ability to save index column sizes
	  between mailboxes and sessions.  Rough. 

2000-1-18  Joaquim Fellmann <joaquim@hrnet.fr>
	
	* src/pref-manager.c: i18n a forgotten string.

2000-1-14   Yun-Chung Cheng <platin@linux.org.tw>

	* /po/zh_CN.po: Added po file from TurboLinux Chinese Develop Team.
	* configure.in: Added zh_CN.po entry

2000-1-3    Ragnar Henriksen <ragnar@juniks.org>
	* src/pref-manager.c: Changed the helpfile location.	

2000-1-1    Héctor García Álvarez  <hector@scouts-es.org>
        * libbalsa/send.c: Added deletion on sended queued messages. 
	SMTP support should now work properly. No known bugs in STMP 
	support yet.

1999-12-31  Ragnar Henriksen <ragnar@juniks.org>
        * src/pref-manager.c: The help button are now working.

1999-12-31  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* .cvsignore: Removed the ABOUT-NLS from CVS because gettext adds
	it when the autogen.sh is called.

1999-12-30  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* libbalsa/mailbox.c (translate_message):
	* src/sendmsg-window.c:
	* libbalsa/send.h:
	* libbalsa/send.c: Added the code necessary to save the message ID
	of the replyed message. The mailbox name where the message is
	located is also saved. Added also the code to read the saved
	stuff. Left a TODO to find the message and set it answered.

	* libbalsa/mailbox.c (translate_message): Include set message_id
	on the Message.

	* src/main-window.c (continue_message_cb): Only continue on the
	draft mailbox.

	* src/sendmsg-window.c: The mailbox where the message was erased
	because it was sent or continued should be immediately
	committed. Remove the direct names of the mailboxes (like Sentbox)
	and put the current name instead (like balsa_app.sentbox->name).

	* balsa.spec.in: Improved the spec file by adding a
	sysconfdir=/etc, removing the man instalation because balsa does
	it now and adding the files on the /etc to the distribution.

	* Makefile.am:
	* .cvsignore:
	* balsa.1.in:
	* balsa.1: Removed balsa.1 and add balsa.1.in with 0.6.0 replaced
	by @VERSION@. The configure file now generated the balsa.1. Also
	made the Makefile.am install the man file.

	* help/C/Makefile.am:
	* images/Makefile.am: Removed the use_sys_install stuff and make it
	right.

	* configure.in:
	* acconfig.h: Normal users don't need gob to build the system so
	we don't check for is presence. Also removed the use_sys_install
	stuff because it makes no sence.

	* libinit_balsa/*.gob: Made the gob files compatible with the
	latest version 0.91.2.

	* libinit_balsa/Makefile.am: The built files go with the
	distribution and the GOB variable is gone. Also added the option
	--no-private-header to gob command. This way we avoing adding a
	lot of header files.

	* libinit_balsa/.cvsignore: Ignore generated files.

	* src/balsa-message.c: The fcc shows up if exists for postponed
	messages.

	* libbalsa/mailbox.c (translate_message):
	* src/sendmsg-window.c:
	* libbalsa/send.h:
	* libbalsa/send.c (balsa_postpone_message): The fcc is saved in
	postponed messages.

1999-12-30  Ragnar Henriksne <ragnar@juniks.org>
	* src/pref-manager.c - total rewrite of the layout, and new features.
	* src/balsa-app.h new stuff to balsa_app. (new features)
	* src/arrow.xpm - new file ( a dummy arrow ) until we manage to
	create some real stuff...
	* src/main.c - added the functionallity "empty trash".
	* src/save-restore.c - save and restore of new features.

1999-12-29  Martin Norbäck  <d95mback@dtek.chalmers.se>

	* configure.in: added "sv" to ALL_LINGUAS.

1999-12-28  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* src/balsa-app.h, src/balsa-app.c, src/sendmsg-window.c: Changed
	to read signature file every time it is needed, to let the user
	edit the signature without restarting Balsa. (Patch from Sverre
	H. Huseby  <sverrehu@online.no>)

	* src/balsa-app.h, src/save-restore.c, src/balsa-app.c,
	src/sendmsg-window.c, src/pref-manager.c: Added user settable
	default Bcc field for outgoing mails. (Patch from Sverre H. Huseby
	<sverrehu@online.no>)

	* configure.in: Removed the detection of docbook since it is not
	needed now.

	* help/C/Makefile.am:
	* help/C/topic.dat: I don't know how the .htm files show up but my
	system generates .html files. Peter also put some section names so
	the files changed their names. All fixed now. Also removed the
	generated files from CVS and they are put on the distributed
	tar.gz file when the file is built.

	* help/C/balsa.sgml: Corrected the file. A > was missing and a
	. was out of a paragraph. Also changed the file from version 3.1
	to 3.0. More people have the old version and I think Peter doesn't
	use any new feature off 3.1.

	* help/C/.cvsignore: Makefile.am was ignored instead of Makefile.in.

1999-12-27  Yuri Syrota <rasta@renome.rovno.ua>

	* configure.in: added "uk" to ALL_LINGUAS.

1999-12-24  Héctor García Álvarez <hector@scouts-es.org>
	* libbalsa/send.c: Now Balsa send queued messages as it should.
 
1999-12-21  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* src/main-window.c (balsa_window_refresh):
	* src/pref-manager.c (apply_prefs): Added code to really change
	the toolbar style right after the preferences manager change it
	and not when balsa is restarted.

1999-12-21  Stuart Parmenter  <pavlov@netscape.com>

	* TODO, INSTALL, AUTHORS, configure.in: Add people to AUTHORS, etc
	bump version to 0.6.0

1999-12-21  Héctor García Álvarez <hector@scouts-es.org>
	* libbalsa/send.c: Made some changes to make balsa send queued 
	messages. Still have the bug when trying to send queued messages 
	from a Mailbox format outbox.
 	
1999-12-21  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* src/main-window.c: When the notebook changes the message preview
	should change accordly and when the last mailbox is closed the
	message preview must be cleared.

	* src/balsa-index-page.h:
	* src/balsa-index-page.c: Added function to change the message
	preview to the focus message of the Balsa Index given. Also when
	the message is unselected it is necessary to clear the message
	preview. 

	* src/balsa-index.c:
	* src/balsa-index.h: Added new signal: unselect message.

	* src/balsa-message.c: Added the code for balsa_message_clear.

1999-12-20  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* src/balsa-message.c (headers2canvas): Changed the From field to
	be right after Date field.

	* src/pref-manager.c: Removed two warnings due to repeated gtk
	instructions.

	* src/Makefile.am: Rearranged the file.

	* libmutt/*:
	* libbalsa/message.c:
	* libbalsa/mailbox.c:
	* libbalsa/send.c: Updated libmutt to the version 1.0i with last
	ChangeLog entry on Wed Oct 20 14:51:57 1999.

1999-12-17  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* libinit_balsa/balsa-druid-page-user.gob: Changed default
	  local mail directory to ~/mail, not ~/balsa.

	* src/balsa-index-page.c (transfer_messages_cb): Prevent
	  transferring a message to its own folder, which was a
	  coredump.

1999-12-16  Peter Williams <peter@newton.cx>
	* macros/Makefile.am: uncommented "if INSIDE_GNOME_COMMON"
	  as mentioned by Jules Bean.
	
1999-12-14  Peter Williams <peter@newton.cx>
	* configure.in, libinit_balsa/Makefile.am,
	  src/Makefile.am, src/main.c, po/POTFILES.in
	  src/main-window.c, src/balsa-init.[ch]: Made 
	    libinit_balsa mandatory and removed old init
	    code.

1999-12-14  Ragnar Henriksen <ragnar@juniks.org>
	* removed a newline tag after name in addressbook.
	  It could cause strange things, I didn't see this the
	  first time I updated address-book.c. But after upgrading
	  to the latest gnome-pim it showed. (Maybe they did something
	  with the layout of GnomeGard.gcrd?)

1999-12-12  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* libbalsa/filter-file.c: Removed compile warnings
	  libbalsa/libbalsa.c: Ditto
	  libbalsa/mailbox.[ch]: Ditto
	  libbalsa/message.c: Ditto
	  src/balsa-index-page.[ch]: Ditto
	  src/balsa-mblist.c: Ditto
	  src/filter-edit.h: Ditto (moved static definitions)
	  src/filter-edit-dialog.c: Ditto
	  src/mailbox-conf.c: Ditto
	  src/main-window.[ch]: Ditto
	  src/main.c: Ditto (added evil ugly uncalled hack function)
	  src/mblist-window.c: Ditto
	  src/pref-manager.c: Ditto
	  src/print.c: Ditto
	  libinit_balsa/balsa-druid-page-finish.gob: Ditto
	  libinit_balsa/balsa-initdruid.gob: Fixed absentminded 
	      coredump on cancel

1999-12-09  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/save-restore.h: Added necessary #include libbalsa.h
	* libinit-balsa/*.gob: Finished alpha revision.

1999-12-09  Lauris Kaplinski <lauris@ariman.ee>
	* configure.in: added et to ALL_LINGUAS.

1999-12-08  David Pickens <dsp@iAesthetic.com>
	* libbalsa/mailbox.c, mailbox.h, message.c, send.c, threads.h, 
	  src/main-window.c, main-window.h, main.c, threads.h
	Added messaging system for sending thread to communicate
	w/ main thread.  Outbox/Sentbox now update on send.

1999-12-07  Peter Williams <peter@newton.cx>
	* libinit_balsa/balsa-druid-page-error.gob: Added nice
	  error page
	* libinit_balsa/balsa-druid-page-user.gob: First real
	  page, user settings (mailroot added to this page)
	
1999-12-07  David Pickens <dsp@iAesthetic.com>
	* Added multi-threaded send mail (if --enable-threads):
	  libbalsa/send.c, libbalsa/threads.h,
	  src/main.c, src/threads.h

1999-12-05  David Pickens  <dsp@iAesthetic.com>

	* /cvs/gnome/balsa/src/balsa-app.c, 
	* /cvs/gnome/balsa/src/balsa-app.h, 
	* /cvs/gnome/balsa/src/main-window.c, 
	* /cvs/gnome/balsa/src/pref-manager.c, 
	* /cvs/gnome/balsa/src/save-restore.c: Added progress dialog options

1999-12-05  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/balsa-init.c (balsa_init_window_new, druid_destroy_cb):
	  Destroy the window owning the druid as well.

1999-12-05  Héctor García Álvarez <hector@scouts-es.org>
        * Rewrited send and SMTP funtions
	* libbalsa/send.c: Added ofline message writing funcionality

1999-12-04  David Pickens  <dsp@iAesthetic.com>
	* Added mail check every x minutes option

1999-12-02  David Pickens  <dsp@iAesthetic.com>
	* added ability to compile w/out threads (see 11-29)
	* src/main-window.c: fixed progress window

1999-12-01  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/address-book.c: Fixed stray reference to MDI

1999-11-29  David Pickens <dsp@iAesthetic.com>

	*src/main.c, main-window.c, main-window.h:  
	added multi-threaded mail checking, progress window.
	*libbalsa/mailbox.c, mailbox.h, libbalsa-priv.h:
	same
	*libmutt/pop.c:  same

1999-11-29  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/balsa-index.c (balsa_index_set_mailbox): Fixed to make
		message status icons work.
	(mailbox_listener): Same.
	* libbalsa/mailbox.c: Same.
	* libbalsa/message.c: Same.
	* src/balsa-index-page.c: Same.
	
1999-11-28  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/main-window.c: Proper recording of the
	main window's size now. Fixed compile warnings
	by commenting out some unused things (search for
	(FIXME unused)

	* acconfig.h, configure.in: Updated with dummy
	--enable-threads argument (does nothing except define
	BALSA_USE_THREADS)
	
1999-11-28  Hector Garcia Alvarez <hector@scouts-es.org>

        * Added SMTP funtionalty. This should be consider
	alpha software. It has only been probe by me. 

        * src/balsa-app.h : Added balsa_app.smtp to struct

	* src/save-restore.c : Added support to read and write
	config parameter about using smtp or local mail delivery

	* libbalsa/send.c : Added funtions balsa_smtp_send and
	smtp_answer.
				
1999-11-28  Bruno Pires Marinho  <bapm@camoes.rnl.ist.utl.pt>

	* idl/Makefile.am: The auxiliary library libbalsasrv.a was
	installed on the system instead of the balsa.idl file. When you
	change the ORBit version this could break and with the balsa.idl
	that doesn't happen.

	* .cvsignore:
	* ABOUT-NLS:
	* acinclude.m4:
	* configure.in:
	* po/.cvsignore: To remove the intl module from being checked out
	when you check out balsa I had to change a couple of things.

1999-11-25   Ragnar Henriksen <ragnar@juniks.org>
	
	Added config parameter: 
	* The users may now select when to include signature.

1999-11-23   Ragnar Henriksen <ragnar@juniks.org>

	* new file: address-book.h
	* rewrote ab_load().
	* added name search.
	* removed al comp. warningsi for address-book.c.

1999-11-22  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/balsa-app.h (DEFAULT_MESSAGE_FONT): This
	font should now exist.

	* src/balsa-init.c (generic_back_cb): Fixed problem
	with buttons disabled? Problem even existed?

1999-11-21  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/balsa-init.c: Complete rewrite with GnomeDruid! Yahoo!
	* src/balsa-init.c: Fixed it so it really works :-)
	
1999-11-20  Ragnar Henriksen <ragnar@juniks.org>
        * new files: print.h print.c -> the beginning of printing.
        * save-restore.c added saveing and loading of print setup.
	* pref-manager.c added print notebook.
	* balsa-app.h/c  added print setup to balsa struct.
	* main-window.c added print icon.

1999-11-18  Stuart Parmenter  <pavlov@netscape.com>

	* libbalsa/mailbox.[ch]  Changed mailbox code to act as GtkObjects
	* libbalsa/mailbox_local.[ch]
	  libbalsa/mailbox_pop3.[ch]
	  libbalsa/mailbox_imap.[ch] added new files

	* libbalsa/mailbox.c (mailbox_new): now returns a GtkObject instead of a Mailbox
                             (mailbox_free) removed.

	* src/* wrap mailbox_new in BALSA_MESSAGE()
          src/* change mailbox_free to gtk_object_destroy()

1999-11-15  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/balsa-index-page.c (create_menu): Fixed size
	of Transfer mblist; now that balsa_app.mblist_width
	means something, we use it for the usize.

	* src/sendmsg-window.c (add_attachment): Clean up
	attachment code a little bit.

	* configure.in, images/Makefile.am: Fixed to install pixmaps
	in the correct location.

	* src/main-window.c (balsa_window_new): Added callback
	to record changes in 'notebook_height' and set the
	default position.

	* src/balsa-app.h, src/save-restore.c (config_global_load):
	Changed from deprecated 'mblist_height' to shiny new 'notebook_height'.

1999-11-14  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/main-window.c (balsa_window_new), src/balsa-index-page.c,
	balsa-mblist.c: Replaced gtk_widget_set_usize()'s with code that
	properly sets the position of the large paned widget.

	* src/mblist-window.c (balsa_mailbox_list_window_new): Added
	signal handle on size_allocate to set balsa_app.mblist_width.

	* src/balsa-mblist.c (balsa_mblist_destroy): Fixed erroneous
	setting mblist_width/height to 1x1

1999-11-13  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/mailbox-conf.c (mailbox_conf_set_values): Fixed typo in
	IMAP configuration.

	* src/save-restore.c (rot): Fixed bad assertions.

1999-11-12  Peter Williams  <peter@wgwill.ne.mediaone.net>

	* src/main-window.c (balsa_window_real_close_mailbox): Implemented
	real_close_mailbox().

	* src/balsa-index-page.[ch] (balsa_index_page_close_and_destroy): 
	Added a delete function for BalsaIndexPage. Hooks up to destroy
	signal so you should call gtk_object_destroy() on it.

	* src/mblist-window.c (mblist_open_mailbox): Prevent multiple 
	windows of the same MB opened.

	* src/main-window.c (file_menu): Add the 'Exit' menu item back, 
	hooked to balsa_exit().

	* src/balsa-app.c (read_signature): Fix off-by-one on .signature loading.

1999-07-28 Tomasz K³oczko <kloczek@pld.org.pl>

	* po/pl.po, configure.in
	Sync with PLD cvs tree:
	- added pl translation (translation by Pawe³ Dziekoñski
	<dziekons@pld.org.pl> and fixes by Zbigniew Chyla <cyba@pld.org.pl>)

1999-04-08 Jesse Sightler <jsight@pair.com>

	* src/balsa-message.c: Added keyboard navigation.
	* src/sendmsg-window.c: Improved general layout and added drag'n'drop
	of addresses from Gnomecard.
	* libbalsa/mime.c: Fixed failure to traverse all nodes of multipart msg.

Wed Mar 31 18:14:00 1999  Manish Vachharajani <mvachhar@vger.rutgers.edu>

	* src/mailbox_conf.c: Show the config notebook widget before
	changing pages so pages actually change.  Is this a gtk+ bug?
	
Fri Mar 19 03:32:49 1999  Timur Bakeyev  <mc@bat.ru>

	* src/Makefile.am: Change set of "GNOMEUI_LIBS -lgnorba ORB_LIBS" to 
	GNOMEGNORBA_LIBS, which is more correct and clean. And prevent from 
	linker errors.

1999-02-24  Sergey Panov  <sipan@mit.edu>

        * src/filter-edit-dialog.c, src/pref-manager.c:
        added missed _() macros

1999-02-11  Sergey Panov  <sipan@mit.edu>

	* src/main.c, src/Makefile.am: turn on internationalization

1999-02-01  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/filter-edit-dialog.c (build_left_side): pass it a
	GtkWidget ** parameter to get the clist pointer in.
	(build_right_side): accept a GtkWidget * parameter in order
	to pass it a clist for apply/revert callbacks userdata.
	(filter_edit_dialog): utilize the above.
	* src/filter-edit-callbacks.c (unique_filter_name): actually
	increment row.
	
1999-01-20  Nat Friedman  <nat@nat.org>

	* src/pref-manager.c (open_preferences_manager): Connect the help
 	signal of the GnomePropertyBox to gnome_help_pbox_display.

1999-01-19  Jeff Garzik  <jgarzik@pobox.com>

	* src/balsa-app.c, src/balsa-init.c, src/filter-edit-dialog.c,
	  src/index-child.c, src/mailbox-conf.c:
	Renamed deprecated Gtk+ functions.

1999-01-18  bertrand <Bertrand.Guiheneuf@inria.fr>

	* src/save-restore.c: add a new property key
	("ShowMailboxContentInfo")

	* src/pref-manager.c: add a preference item
	(show/hide mailbox content information)

	* src/balsa-mblist.c (balsa_mblist_redraw): 
	(balsa_mblist_init): 
	show/hide the clist colums titles depending on the pref 
	setting.
	
	* src/balsa-mblist.c (balsa_mblist_class_init): cntent
	information disabled for the moment. 
	New argument ("show_content_info") to th emblist 
	object. Have to store it in the prop list. 

1999-01-15 bertrand <Bertrand.Guiheneuf@inria.fr>

	* src/index-child.c (index_button_press_cb): new function
	to handle double click properly regarding to new gtk+ 
	code.
	(index_select_cb): no more double click handling code.
	(index_child_create_view): connect scrolled windows
	adjustments to the canvas adjustments.
	Set the step increment.

1999-01-14  bertrand <Bertrand.Guiheneuf@inria.fr>

	* src/mblist-window.c (mblist_open_window): take the 
	"MailboxListHeight" into account.
	* src/save-restore.c (config_global_save): new property:
	"MailboxListHeight"
	(config_global_load): idem.
	* src/balsa-app.h: new kember to store the mailbox list height.
	(useful only when the window is floatting)

	* src/mblist-window.c 
	(mblist_menu_open_cb): 
	(mblist_menu_close_cb): 
	src/main-window.c (mailbox_menu): two new items to open/close 
	a selected mailbox from the menubar.

1999-01-14  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/mblist-window.c (mb_close_cb): new func
	(mblist_create_context_menu): new context menu item: close the mb.

	* src/mblist-window.c (mblist_create_context_menu): 
	s/mblist_create_menu/mblist_create_context_menu
	(mblist_create_context_menu): new context menu item (open mailbox)
	(mb_open_cb): corresponding callback.
	(mblist_open_mailbox): new func. Use this to open a mailbox.
	
	* src/mblist-window.c (mblist_button_press_cb): 
	removed the mblist_clicked_cb function and replaced it by this new one.
	All mouse press events are handled in this callback now. Before this, 
	things were not very clear. For example, the double-click left button
	was handled in the mailbox_select callback. 
	

1999-01-13  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/mailbox-conf.c (mailbox_conf_delete): bug when removing 
	the firts pop mailbox. Fix submitted by Ian Campbell <ijc25@cam.ac.uk>

	* src/main.c (config_init): commented out the return keyword after
	.balsarc initialisation. It prevented the config to be loaded and
	in particular the mailbox list window size to be set correctly
	when a .balsarc did not exist.

	* src/mblist-window.c (mblist_clicked_cb): new function to handle 
	contextual menus more precisely and in particular, allowing the menu
	to appear even when the mouse does not click on one mailbox row.

1999-01-12  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/filter-edit-callbacks.c 
	* src/mailbox-conf.c 
	* src/pref-manager.c : 
	s/gtk_toggle_button_set_state/gtk_toggle_button_set_active/
	to conform to changes in gtk+.
	
1999-01-11  bertrand  <Bertrand.Guiheneuf@inria.fr>

	
	* src/mblist-window.c (mblist_drag_data_received): check if the source
	mailbox is not the dest mailbox.
	(mblist_drag_motion): when the drag pointer is not on a valid row, 
	deselect all.
	(mblist_drag_leave): when the drag pointer leave the window, unselect all

	* removed the dnd trace
	
	* src/index-child.c (index_child_setup_dnd): changed the drag icon
	(index_child_create_view): unset "use_drag_icons" & "reorderable"
	clist flags. 

	* src/pref-manager.c (apply_prefs): replyto field chages were
	not saved. fixed.

	* src/index-child.c src/mblist-window.c : add some dnd trace code
	cause dnd does not work anymore.

	* src/sendmsg-window.c (sendmsg_window_new): bugfix when replying
	to a message with subject begining with Re:

1999-01-11  bertrand  <Bertrand.Guiheneuf@inria.fr>

	added the code to commit the changes which are flagged (generally
	deletion). The code is OK, but some general issues remain to be fixed.
	(in particular, the problem which open_unref automatically syncing
	mailboxes and thus freeing delete-flagged messages )
	
	* src/main-window.c (mailbox_commit_changes): new menu for this
	("Mailboxes" -> "commit current")
	
	* libbalsa/mailbox.c (mailbox_commit_flagged_changes): new function to 
	commit the changes which are only flagged.

	* src/balsa-index.c (balsa_index_del): new functino to delete a message
	from the index list.
	(mailbox_listener): proper answer to the delete watcher message.

1999-01-10  bertrand  <Bertrand.Guiheneuf@inria.fr>

	added the code to view infos about the mailboxes in the mailbox list
	it roughly works but the possibility to show or not show info fields
	must still be added.
	
	* src/balsa-mblist.c (balsa_mblist_set_row_info_fields): new function
	to display informations about a mailbox.
	(balsa_mblist_release_watchers): free the list of mailbox the mailbox
	list is watching.
	(balsa_mblist_add_watched_mailbox): add a mailbox to the list of
	watched mailboxes.
	(balsa_mblist_redraw): when creating the mailbox row, add the info fields
	(mailbox_nodes_to_ctree): idem on normal mailboxes.
	(mailbox_listener): when notified there is a change, upadte the
	information field of the concerned row.

	* libbalsa/mailbox.c: new function (mailbox_gather_content_info)
	the name tells everything about it.
	(message_copy): update the mailbox info fields
	(message_move): idem
	(message_read): idem
	(message_unread): idem
	(mailbox_check_new_messages): idem

	* libbalsa/mailbox.h: added the unread_message field.
	also added the total_messages field.
	
1999-01-08  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/balsa-mblist.c (balsa_mblist_redraw): start to add 
	mailbox info in the mailbox list window (number of  messages, 
	number of unread messages). This should be configurable cause
	I guess not everybody likes this. 

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/main-window.c (settings_menu): No separator before
 	Preferences.

	(main_menu): Added N_() around "Message" and "Mailboxes"

1999-01-08  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/index-child.c (index_child_new): when the mailbox
	already exists, set it as the active view. 

1999-01-08  bertrand  <Bertrand.Guiheneuf@inria.fr>

	messages can be moved even when the destination is already 
	opened :-))
	
	* libbalsa/mailbox.h: added a new mailbox watcher message 
	to tell a watcher a message has been appended but that it is 
	not a new message.

	* libbalsa/mailbox.c (send_watcher_append_message): new function 
	to send an APEND message.
	(message_copy): send an append message to the dest mailbox
	(message_move): idem.
	(_mailbox_open_ref): when the mailbox was already opened but not
	in append mode, close it first.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/message-window.c (forward_message_cb): Get the messagewindow
 	from the window's gtk data.
	(replytoall_message_cb): Likewise.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/sendmsg-window.c (file_menu): Standardized.

	(close_window): Fixed signature.
	(send_message_cb): Likewise.
	(attach_clicked): Likewise.
	(close_window): Likewise.
	(attach_dialog_cancel): Likewise.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/message-window.c: Include sendmsg-window.h and message-window.h
	Added a prototype for destroy_message_window.

	(message_menu): A new menu.
	(replyto_message_cb): Calback for the new menu.
	(replytoall_message_cb): Likewise.
	(forward_message_cb): Likewise.

	(message_window_new): gtk_object_set_data stores the
 	MessageWindow, not the window.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/main-window.c (APPBAR_KEY): Changed the PROGRESSBAR_KEY to
 	APPBAR_KEY.
	(main_window_set_cursor): Use the GnomeAppBar's progress meter.
	(main_window_init): Removed all the code to create a
 	GtkProgressBar.  Use the GnomeAppBar progress meter instead.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/index-child.c: Updated the copyright

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/message-window.c: Updated the menu items for the message
 	window to reflect the standard.

	Added the 'message' field to the MessageWindow structure.

	Added the 'displayed_messages' hash table.

	(message_window_new): Check to see if the specified message is
 	already displayed, and if so, gdk_window_raise() the window
 	containing it.  If not, add it to the hash table.
	
	(destroy_message_window): Remove the hash-table entry
 	corresponding to this message window.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/main-window.c (main_menu): Updated to use the SETTINGS
 	standard menu, and moved Preferences back to there.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/main-window.c (app_created): Use the GnomeAppBar instead of
 	the GtkStatusBar.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/main-window.c (file_menu): Use GNOMEUIINFO_MENU_PREFERENCES_ITEM.
	(mailbox_menu): Added menu hints to the custom menu items.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/main-window.c (main_window_init): Install the menu hints.
	(show_about_box): Updated the copyright dates.

	Move the preferences menu item to the File menu.

1999-01-07  bertrand   <Bertrand.Guiheneuf@inria.fr>

	* libbalsa/mailbox.c (_mailbox_open_ref): unlock the mailbox even if
	it was already opened before.
	(message_move): test if we actually opened the mailbox or
	if it was opened before. When it was already opened, don't
	unref it.
	--> the dnd move works now, yeepeeh !

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/main-window.c (help_menu): Use GNOMEUIINFO_MENU_ABOUT_ITEM
 	and the standard GNOMEUIINFO menu trees.

1999-01-06  Nat Friedman  <nat@nat.org>

	* src/main-window.c (file_menu): Use the GNOMEUIINFO standard menu
 	item for exit.

1999-01-06  Nat Friedman  <nat@nat.org>

	* src/main-window.c (file_menu): Use the gnome-uidefs.h macros.

1999-01-06  Nat Friedman  <nat@nat.org>

	* src/main-window.c (file_menu): Use Ctrl-Q as the exit-app
 	accelerator.

1998-12-28  bertrand  <Bertrand.Guiheneuf@inria.fr>

	* src/mblist-window.c (mblist_open_window): added the dnd reception
	callback.
	(mblist_drag_data_received): handle the received messages. For the 
	moment, when a list of messages is dropped on a mailbox, it is moved
	to that mailbox. Other actions should be easy to add.

	* src/index-child.c (index_child_create_view): moved the dnd code to
	a specific function : index_child_setup_dnd()
	(index_child_setup_dnd): new function.
	(index_child_drag_data_get): new function, pass the selected messages
	in the clist to the X selection mechanism. This should be reviewed by 
	a gtk+ expert. However, this does not work with the current version
	of gtk+ (1.1.9). I had to remove the dnd class functions in gtkclist
	to make all this work correctly.

	* src/balsa-index.c (balsa_index_get_selected_rows): added this function
	to get the currently selected messages. This is useful to the dnd stuff.

	* src/main-window.c (main_window_set_cursor): removed a warning

1998-12-27  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/main-window.c (destroy_window_cb): only save window size.
	attached to destroy signal of each app in app_create().
	(destroy_mdi_cb): call balsa_exit(). attached to mdi destroy signal.
	savin window size here makes no sense as mdi might not have an
	active_window on destruction!
	(app_created): set the pointer to pbar as data to each GnomeApp with
	key PROCESSBAR_KEY.
	(main_window_set_cursor): use the pbar set as data to the GnomeApp.
	using a global static var won't work if someone drags a page out
	to create multiple notebooks.

1998-12-26  bertrand <bertrand.guiheneuf@inria.fr>

	* src/mblist-window.[ch]: new files.
	* src/main-windo.c: moved the mailbox list window
	code to the new two above files.

	* src/balsa-message.c (balsa_message_new): corrected the bug
	that made some widget background white instead of their
	normal background.
	
	* src/sendmsg-window.c (create_info_pane): idem as above. 
	

1998-12-19  Joel Becker  <jlbec@ocala.cs.miami.edu>

	* src/filter-edit-dialog.c: Enabled the neat new dnd
 	reordering of the filter clist.  Yay.

1998-12-19  pavlov@pavlov.net

	Modified files:

        libbalsa       : misc.c misc.h 
        src            : balsa-mblist.c main-window.c 

	Log message:

	make mailbox folders closed by default.. will do saving of
	their status shortly

1998-12-18  Jeff Garzik  <jgarzik@pobox.com>

	* po/de.po: big update from Michael Glauche <glauche@plum.de>

1998-12-18  Jeff Garzik  <jgarzik@pobox.com>

	* libbalsa/mailbox.c, libmutt/commands.c, libmutt/curs_main.c,
	  libmutt/flaglib.c, libmutt/flags.c, libmutt/mutt.h,
	  libmutt/mx.c, libmutt/pager.c, libmutt/pattern.c:
	s/M_READ/MFLAG_READ/ - Solaris system defines M_READ

	* libbalsa/misc.c: call g_malloc instead of malloc, because we
	call g_free in the allocated memory later on.
	From wmorgan@syntony.org.
 
1998-12-17  Jeff Garzik  <jgarzik@pobox.com>

	* libmutt/sendlib.c:
	one-liner from wmorgan@syntony.org that fixes msg bodies w/o
	a trailing newline

1998-12-16  Jeff Garzik  <jgarzik@pobox.com>

	* src/pref-manager.c:
	Outgoing mail is now a table, allowing you to select
	'remote smtp server' or 'local mail agent' for mail delivery.
	Greyed out because it doesn't actually work yet.

1998-12-16  Joel Becker  <jlbec@ocala.cs.miami.edu>

	* libbalsa/filter-error.c, libbalsa/filter-file.c,
        libbalsa/filter-funcs.c, libbalsa/filter-private.h,
	src/filter-edit-callbacks.c, src/filter-edit-dialog.c:
	Lots of little things, especially gui workings.  It's not perfect yet.
	Nor is it working.  But it compiles clean, and should cause no harm.

1998-12-15  Jeff Garzik  <jgarzik@pobox.com>

	* src/pref-manager.c:
	Added protocol column to server list.

	* src/spell-check.[ch]:
	Spell checking module for mail compose window.

1998-12-15  Ettore Perazzoli  <ettore@comm2000.it>

	* src/main-window.c (refresh_main_window): Retrieve the toolbar
 	with `gnome_app_get_dock_widget_by_name()'.
	(mblist_open_window): Make the behavior of the dock item
 	`EXCLUSIVE'.  Use `gnome_app_add_dock_item' instead of
 	`gnome_dock_add_item()'.

	* src/sendmsg-window.c (sendmsg_window_new): Likewise.

1998-12-14  Stuart Parmenter  <pavlov@pavlov.net>

        ./	  : INSTALL README balsa.1 balsa.spec configure.in,
        po/	  : de.po es.po fi.po fr.po ga.po ko.po no.po,
        libbalsa/ : Makefile.am libbalsa.c mime.c send.c,
        idl/Makefile.am, sounds/Makefile.am, src/Makefile.am:
	- Now passes 'make distcheck'

        it.po:
	- added the italian translation.

1998-12-14  Jeff Garzik <jgarzik@pobox.com>

	* src/main-window.c:
	- Re-enabled Mailbox/Delete menu item; it takes into account lack
	  of selection now.
	- Updated for new gnome-dock-item-new args.

	* src/message-window.c:
	- Continued futile efforts to close the message window via
	  File/Close.

1998-12-14  Jeff Garzik <jgarzik@pobox.com>

	* libbalsa/mailbox.[ch]:
	Added simple IMAP support stubs.

	* src/main-window.c:
	- include mailbox-conf.h to avoid warnings.
	- Added menu items to add, edit, and delete mailboxes.
	- Corrected typo.
	- Pop up error dialogs if no item is selected, and edit/delete
	  is chosen.

	* src/message-window.c:
	- added menu to message window, just File|Close right now.

1998-12-13  Jeff Garzik <jgarzik@pobox.com>

	* src/main-window.c:
	- Exported 'mdi' var, so we can grab it from other modules.
	- Reordered check-new-mail action to check regardless of whether
	  we check locally or not.

	* src/pref-manager.c:
	- Properly parent the prop box, so it minimizes when other
	  windows are minimized.
	- Select first item in POP3 server list.
	  FIXME: needs to select "proper" item based on previous action, 
	  add, delete, and modify.
	- Internationalize a few strings.
	  Rename "POP3 Servers" frame to "Remote Mailbox Servers"

	* src/sendmsg-window.c:
	Change menu item "Exit" to "Close".  We do not exit the app.

1998-12-09  Herbert Valerio Riedel  <hvr@phoenix.twisted.hvrlab.ml.org>

	* src/filter-edit.h, libbalsa/filter-funcs.h: added missing prototypes
	* libbalsa/filter-funcs.c (filter_init): initialize var to shut up
	compiler

1998-12-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/main-window.c (app_created): connected set_icon() to
	realize signal handler for app as MDI does not explicitly
	realize GnomeApps anymore.
	
1998-12-10  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* src/sendmsg-window.c (attachments_add): Add drag and drop
	support for the attachments.

1998-12-09  Jeff Garzik  <jgarzik@pobox.com>

	* src/balsa-message.c, src/index-child.c:
	Fixed gnome-dialog-run-and-close breakage.

1998-12-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* src/index-child.c, src/balsa-message.c: changed gnome_dialog_set_modal()
	to gtk_window_set_modal() and use gnome_dialog_run_close() instead of
	gnome_dialog_run_and_hide() and gtk_widget_destroy(). 
	* main-window.c (refresh_main_window): DON'T use gnome_mdi_set_mode() to
	refresh display. this gets you into trouble and would look butt ugly anyway.
	
1998-11-29  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* src/sendmsg-window.c (create_info_pane): GnomeIconList no longer
	starts in frozen state.

1998-11-29  Herbert Valerio Riedel  <hvr@hvrlab.ml.org>

	* src/balsa-index.c (balsa_index_init): fixed superflous re-allocation
 	of scrolled window

	* src/main-window.c (create_toolbar): added GTK_WINDOW()-cast

1998-11-28  Michael Lausch  <mla@gams.at>

	* changed gtk_container_border_with to gtk_container_set_border_width

1998-11-25  Herbert Valerio Riedel  <hvr@hvrlab.ml.org>

	* src/sendmsg-window.c: add #include <ctype.h> and cast-macros

	* src/pref-manager.c: added cast-macros

	* src/main.c: fixed declaration of balsa_init()

	* src/main-window.c: added cast-macros

	* src/local-mailbox.c: added #include <ctype.h>

	* src/index-child.c: see next

	* src/filter-edit-dialog.c: see next

	* src/balsa-index.c: added cast-macros

	* src/balsa-app.c: added const modifier to balsa_error()

	* libbalsa/misc.c: fixed return value checking of malloc in readfile()

1998-11-18  Richard Hestilow  <hestgray@ionet.net>

	* src/main-window.c: Added underscore accelerators, no longer right
	justify "Help" menu either.

1998-09-23  Michael Lausch  <mla@gams.at>

	*  libbalse/mime.c (Mailbox): reorganized the translation of MIME 
	messages into HTML. Some things in gtkXmHTML aren't working, so i
	use a table approach now. Better multipart handling which is
	necessary for PGP support.

1998-09-15  Robert Wilhelm  <robert@alpha.physiol.med.tu-muenchen.de>

	* src/balsa-index.c (numeric_compare): new function to
	get sorting by message number right.
        (clist_click_column): use it here.
	
1998-09-11  Michael Lausch  <mla@gams.at>

	* src/balsa-message.c: Start of saving MIME parts (aka
	Attachments) to files. More on this topic will follow.

1998-09-02  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* src/Makefile.am (INCLUDES): Added ${top_builddir}/libmutt so
	that muttconfig.h is found when srcdir != builddir.

	* libbalsa/Makefile.am (INCLUDES): Likewise.

1998-08-25  Nat Friedman  <ndf@retrans.mit.edu>

	* src/balsa-init.c (next_cb): Try to create the specified
	mailboxes if they do not exist
	(create_mailbox_if_not_present): new function to do the above

1998-08-23  Nat Friedman  <ndf@retrans.mit.edu>

	* src/save-restore.c: This file has been completely rewritten.
	libPropList based configuration loading and storing is now
	functional.

	The configuration function names have all been made sane, also,
	and several files, including balsa-app.c, balsa-init.c, main.c,
	and pref-manager.c had to be modified to call the new routines.

	* src/mailbox-conf.c: Added some casts to the gtk_signal_connect()
	calls so that passing non-pointer closures doesn't generate a warning.


1998-08-07  Michael Lausch  <mla@gams.co.at>

	* src/main.c (balsa_exit): fix crash when exiting without
	selecting a mailbox.

1998-08-06  Michael Lausch  <mla@gams.co.at>

	* libbalsa/mailbox.c (content_type2str): new function. Returns
	String representation of MIME content.
	(text2html): Temproarily moved to mailbox.c from
	balsa-message. Will be moved back when MIME part handling is
	fixed.
	(other2html): new function. Formats an unknown MIME part into
	HTML. Should use a <A> tag, currently prints the part as text which
	is _wrong_.
	(audio2html): new function. Formats a `audio' part in HTML. Should 
	use a <A> tag. Currently just prints AUDIO
	(application2html): new function. Formats an `applicaton' in
	HTML. Should use a <A> tag. Currently just prints APPLICATION.
	(image2html): new function. Formats a `image' part in HTML. Should 
	use a <A> tag or a <IMG> tag. Currently just prints IMAGE.
	(message2html): new function. Formats a `message' in HTML. Should
	render the message like a top level message. Currently just prints 
	MESSAGE. 
	(multipart2html): new function. Should render a MULITPART
	part. Currently just prints MULTIPART.
	(video2html): new function. Formats a `video' in
	HTML. Should use a <A> tag. Currently just prints VIDEO.
	(mimetext2html): new function. Renders a text message into
	HTML. subtype html is unchanged, all oethers are passed to
	text2html. 
	(part2html): calls one of the part formatting functions depending
	on the type attribute of the MIME part. Subtype handling is done
	by the correspodning functions.
	(message_body_ref): Now renders the message in HTML with MIME
	handling. THIS WILL CHANGE. Next version will only put the
	type/subtype attributes into the balsa message structure.

	* src/balsa-message.c (message2html): message body is already
	HTML'ized. not further formating necessary. THIS WILL BE CHANGED
	very soon.

	temporarily moved ther text2html function into the mailbox file. 

	* libmutt/mx.c (mx_get_magic): fixed M_MH recognition
	semantics. .xmhcache file only exists of exmh was used. 

	* libbalsa/misc.c (readfile): fixed readfile function.
	

1998-08-03  Michael Lausch  <mla@gams.co.at>

	* src/local-mailbox.c (read_dir): changed isnumname to
	is_mh_message. MH messages filenames are a lot more variable then
	expected.
	(read_folders_from_file): new function. Reads the folder cache
	file and add mailboxes.
	(is_mh_message): new function. Applies some heuristics on the
	filename to find out if it is a MH message name (,[0-9]+ and
	[0-9].~[0-9]+~) are considered to be MH messages.
	
	new variable folder_cache_name.
	
Sat Aug 01 20:25:23 1998  George Lebl  <jirka@5z.com>

	* src/index-child.c: fixed up the destroy handler

	* src/main-window.c: user remove instead of destroy to close
	  a child

Thu Jul 30 21:26:22 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

	* libmutt/configure.in, mx.c, parse.c, pop.c, send.c

	Updated to mutt v0.93.2
	
	* libbalsa/mailbox.c, src/index-child.c

	Initial work on IMAP and POP3 support with mutt.  It doesn't seem to
	work very well right now.  I am still working on this.


Thu Jul 30 17:21:32 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

	* libbalsa/mailbox.c, src/local-mailbox.c

	Balsa now should read in mailboxes properly.  i.e. check to make sure
	its valid, as well as check its type.  I believe it should load mh
	folders now as well, although I havn't tested this yet, since I don't
	have any mh folders.  Balsa will not open any files with characters
	that are all numbers (i.e. mh messages), nor any files that start with
	a '.'.


Wed Jul 29 08:05:28 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

	* src/balsa-init.c

	Changed Balsa Init to use a gtk_dialog instead of a gnome_app window.
	I'll probibly change this to a gnome_dialog later.  This should make
	it look a little bit nicer.

	*src/pref-manager.c

	Changed the button box layout to SPREAD instead of END


Tue Jul 28 21:43:58 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

	* src/balsa-init.c

	More work, should save your settings now.  Mailbox addition inside the
	balsa-init still not there.  Balsa-app now uses balsa-init.c since its
	pretty:)


Tue Jul 28 21:19:38 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

	* src/balsa-init.c

	Started making balsa-init do something useful.  It is almost complete.  Once
	complete, it will be what is started when Balsa is run for the first time.  It 
	will setup all the information that Balsa needs to run correctly.


Tue Jul 28 14:00:35 EDT 1998 Stuart Parmenter <pavlov@innerx.net>

        * src/pref-manager.c

	Removed open_main_window() call from pref manager if
	balsa_app.current_index_child was NULL.  This was causing lots of
	opened windows on startup.


Tue Jul 28 04:01:40 1998 Stuart Parmenter <pavlov@innerx.net>

	* TODO, INSTALL, README:

	Update of the documentation (or sad excuse for that).  Added the INSTALL file
	to replace the one thats automagically generated if it doesn't exist.  This
	way we get a file that accually applies to the installation of balsa, and not
	generic stuff.  This should help, not that its hard to do now that c-client is
	removed.

	Updated the TODO file to note that local mailbox dir recursion now is
	implimented but lacks a way to store the mailboxes in something other than a
	list currently.  This will be GForest's use.

	Updated README to remove INSTALL file info, and such.  Added a description,
	etc.

